Name:          ada
Version:       3.2.1
Release:       1mamba
Summary:       WHATWG-compliant and fast URL parser
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ada-url.com/
Source:        https://github.com/ada-url/ada.git/v%{version}/ada-%{version}.tar.bz2
License:       Apache License 2.0, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
WHATWG-compliant and fast URL parser written in modern C++, part of Node.js, Redpanda, Kong, Telegram and Cloudflare Workers.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
WHATWG-compliant and fast URL parser written in modern C++, part of Node.js, Redpanda, Kong, Telegram and Cloudflare Workers.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libada.so.*
%doc LICENSE-APACHE LICENSE-MIT

%files -n lib%{name}-devel
%defattr(-,root,root)
#%{_bindir}/adaparse
%{_includedir}/ada.h
%dir %{_includedir}/ada
%{_includedir}/ada/*.h
%{_includedir}/ada_c.h
#%{_includedir}/cxxopts.hpp
%{_libdir}/libada.so
#%{_libdir}/pkgconfig/cxxopts.pc
%dir %{_libdir}/cmake/ada
%{_libdir}/cmake/ada/*.cmake
#%dir %{_libdir}/cmake/cxxopts
#%{_libdir}/cmake/cxxopts/*.cmake
%doc README.md

%changelog
* Tue Mar 11 2025 Automatic Build System <autodist@openmamba.org> 3.2.1-1mamba
- automatic version update by autodist

* Thu Feb 27 2025 Automatic Build System <autodist@openmamba.org> 3.1.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2025 Automatic Build System <autodist@openmamba.org> 3.1.2-1mamba
- automatic version update by autodist

* Mon Feb 24 2025 Automatic Build System <autodist@openmamba.org> 3.1.1-1mamba
- automatic version update by autodist

* Tue Feb 11 2025 Automatic Build System <autodist@openmamba.org> 3.1.0-1mamba
- automatic version update by autodist

* Sun Feb 02 2025 Automatic Build System <autodist@openmamba.org> 3.0.1-1mamba
- automatic version update by autodist

* Sat Oct 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.2-1mamba
- package created using the webbuild interface
